# -*- coding: utf-8 -*-
import autopath
from os import path as osp

from filtrage.tools import *

DATA = osp.join(autopath.HERE, 'data')
TRAIN_DB = osp.join(DATA, 'training')

def _assert_equals(x, y):
    assert x == y

def test_filter_meta():
    path = osp.join(TRAIN_DB, 'porn')
    filenames = [('index.html.297', 'a teen preteen model site list for admirers of young beauty beautiwatcher  girl  girls  teens  teen  pre teen  pre teens  model  models  modeling  teen model  teen models  preteen model  preteen models  non nude  nnude  girls  no nude  topless  beauty'),
                 ('index.html.283', 'anal rape pics  free rape videos  love  sex cry  horny  force photos strip  russian rape  lesbian rape  blood gun extreme sadism rape punishment rape cruel beat'),
                 ('index.html.291', 'adult mpeg  amateur mpeg  video clips  adult video download adult mpeg video clips in mpeg format you can watch and download  click here to enter '),
                 ]

    for fname, expected in filenames:
        data = unicode(file(osp.join(path, fname)).read(), 'latin-1')
        yield _assert_equals, filter_meta(data), unicode(expected.lower(), 'utf-8')

def test_punctuation():
    punct = "alors, ceci... est une phrase ; ponctuee ! "
    expected = 'alors  ceci    est une phrase   ponctuee'
    assert type(expected) == str
    assert expected == normalize_string(punct).strip()

def test_accentuation():
    un = u"éètoto"
    expected =u"eetoto".encode('utf-8')
    assert type(un_accentuation(un)) == str
    assert expected == un_accentuation(un)

def test_get_content():
    html = """<html><head>bla bla</head><body><!-- un commentaire --><p>hello</p></body></html>"""
    expected = """<body><p>hello</p></body>"""
    assert  get_content(html) == expected

    html = """<html><head>bla bla</head><!-- un commentaire --><p>hello</p></html>"""
    expected = """<html><head>bla bla</head><p>hello</p></html>"""
    assert  get_content(html) == expected

def test_strip_tags():
    html = """<body><p>hello</p></body>"""
    expected = "hello"
    assert expected == strip_tags(html)

##

def test_url_filter_domain():
    url = "http://test.toto.fr"
    assert url_filter_domain(url) == "test.toto.fr"
    url = "http://www.test.toto.fr"
    assert url_filter_domain(url) == "test.toto.fr"

def test_url_add_protocol():
    url1 = "http://test.toto.fr"
    assert url_add_protocol(url1) == url1
    url2 = "test.toto.fr"
    assert url_add_protocol(url2) == url1

def test_get_hostname():
    url = "http://www.toto.com/titi/tata/tutu"
    assert  get_hostname(url) == "www.toto.com"

# def test_urls():
#     urls = ['<a href="http://www.bob.com/">success</a>', 
#      '<a href="http://www.bob.com/plasma">experiments</a>', 
#      '<a href="http://www.boogabooga.net/">BoogaBooga</a>',
#             "<p>essai</p>"]
#     expected = ['<a href="http://www.bob.com/">success</a>', 
#      '<a href="http://www.bob.com/plasma">experiments</a>', 
#      '<a href="http://www.boogabooga.net/">BoogaBooga</a>']
#     # assert expected == get_urls("".join(urls))

